Quote
curl --request POST \
--url https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/{module}-native-create/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"selection": {
"brandId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"regionCode": "<string>",
"languageCode": "<string>",
"objective": "<string>",
"outputBudget": {
"maxOutputTokens": 50000,
"maxOutputChars": 250000
},
"accountGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupKey": "<string>",
"cohortDomains": [
"<string>"
],
"measurementWindow": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"sourceNote": "<string>"
},
"selectedEvidenceRefs": [
{
"sourceArtifactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evidenceRecordId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"findingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ruleId": "<string>",
"panelKey": "<string>",
"itemKey": "<string>"
}
],
"seoSourceSelector": {
"competitorDomain": "<string>",
"keywords": [
"<string>"
],
"capturedAt": "2023-11-07T05:31:56Z",
"snapshotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"selectedContext": {
"brandKitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"guidelineIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"audienceProfileVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"personaIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"scenarioIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"productIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"offerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"uploadIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"planAssetFormats": [],
"requestedAssetCount": 1,
"ownedPageRevision": {
"brandId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contentHash": "<string>",
"canonicalUrl": "<string>",
"evidenceRecordId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"sourceRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"idempotencyKey": "<string>",
"baseRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"childContext": {
"programRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"childRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"revisionInstructions": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/{module}-native-create/quote"
payload = {
"selection": {
"brandId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"regionCode": "<string>",
"languageCode": "<string>",
"objective": "<string>",
"outputBudget": {
"maxOutputTokens": 50000,
"maxOutputChars": 250000
},
"accountGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupKey": "<string>",
"cohortDomains": ["<string>"],
"measurementWindow": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"sourceNote": "<string>"
},
"selectedEvidenceRefs": [
{
"sourceArtifactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evidenceRecordId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"findingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ruleId": "<string>",
"panelKey": "<string>",
"itemKey": "<string>"
}
],
"seoSourceSelector": {
"competitorDomain": "<string>",
"keywords": ["<string>"],
"capturedAt": "2023-11-07T05:31:56Z",
"snapshotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"selectedContext": {
"brandKitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"guidelineIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"audienceProfileVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"personaIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"scenarioIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"productIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"offerIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"uploadIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"planAssetFormats": [],
"requestedAssetCount": 1,
"ownedPageRevision": {
"brandId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contentHash": "<string>",
"canonicalUrl": "<string>",
"evidenceRecordId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"sourceRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"idempotencyKey": "<string>",
"baseRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"childContext": {
"programRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"childRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"revisionInstructions": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
selection: {
brandId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
regionCode: '<string>',
languageCode: '<string>',
objective: '<string>',
outputBudget: {maxOutputTokens: 50000, maxOutputChars: 250000},
accountGroupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
groupKey: '<string>',
cohortDomains: ['<string>'],
measurementWindow: {
start: '2023-11-07T05:31:56Z',
end: '2023-11-07T05:31:56Z',
sourceNote: '<string>'
},
selectedEvidenceRefs: [
{
sourceArtifactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
evidenceRecordId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
findingId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ruleId: '<string>',
panelKey: '<string>',
itemKey: '<string>'
}
],
seoSourceSelector: {
competitorDomain: '<string>',
keywords: ['<string>'],
capturedAt: '2023-11-07T05:31:56Z',
snapshotId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
selectedContext: {
brandKitId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
guidelineIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
audienceProfileVersionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
personaIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
scenarioIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
productIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
offerIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
uploadIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
},
planAssetFormats: [],
requestedAssetCount: 1,
ownedPageRevision: {
brandId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
revisionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contentHash: '<string>',
canonicalUrl: '<string>',
evidenceRecordId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
sourceRevisionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
idempotencyKey: '<string>',
baseRevisionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
childContext: {
programRevisionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
childRevisionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
revisionInstructions: '<string>'
})
};
fetch('https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/{module}-native-create/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"quoteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestHash": "<string>",
"idempotencyKey": "<string>",
"contextSnapshotRef": {
"contextSnapshotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contextHash": "<string>",
"artifactSchemaVersion": "<string>",
"packetSchemaVersion": "<string>",
"projectionPolicyVersion": "<string>",
"manifestHash": "<string>"
},
"selection": {
"module": "seo",
"brandId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entrySurface": "seo_insight",
"deliverableKind": "seo_strategy",
"sourceScope": "dashboard_cohort",
"regionCode": "<string>",
"languageCode": "<string>",
"businessModel": "b2b",
"conversionModel": "leadgen",
"objective": "<string>",
"outputBudget": {
"maxOutputTokens": 50000,
"maxOutputChars": 250000
},
"accountGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupKey": "<string>",
"cohortDomains": [
"<string>"
],
"measurementWindow": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"coverage": "complete",
"sourceNote": "<string>"
},
"selectedEvidenceRefs": [
{
"module": "seo",
"sourceArtifactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evidenceRecordId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"findingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ruleId": "<string>",
"panelKey": "<string>",
"itemKey": "<string>"
}
],
"seoSourceSelector": {
"sourceKind": "keyword_gap",
"competitorDomain": "<string>",
"keywords": [
"<string>"
],
"capturedAt": "2023-11-07T05:31:56Z",
"snapshotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"selectedContext": {
"brandKitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"guidelineIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"audienceProfileVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"personaIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"scenarioIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"productIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"offerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"uploadIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"assetFormat": "blog_post",
"planAssetFormats": [
"blog_post"
],
"requestedAssetCount": 1,
"ownedPageRevision": {
"brandId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceKind": "owned_page_capture",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contentHash": "<string>",
"canonicalUrl": "<string>",
"evidenceRecordId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"sourceRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"admittedRoster": {
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deliverable": "seo_strategy",
"assets": [
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetFormat": "blog_post"
}
]
},
"limits": {
"policyVersion": "<string>",
"maxAssets": 10,
"maxEvidenceRefs": 40,
"maxPromptChars": 250000,
"maxCompiledRequestChars": 500000,
"maxInputTokens": 125000,
"maxOutputTokens": 50000,
"maxOutputChars": 250000,
"maxProviderCalls": 25
},
"quotedCostUsd": "<string>",
"state": "available",
"expiresAt": "2023-11-07T05:31:56Z",
"baseRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"childContext": {
"programRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"childRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"omissions": [
{
"code": "<string>",
"message": "<string>",
"sourceModule": "seo"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}SEO and Content Create
Quote
POST
/
api
/
v1
/
brands
/
{brand_id}
/
brand-intelligence
/
{module}
-native-create
/
quote
Quote
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Available options:
seo, content Body
application/json
Show child attributes
Show child attributes
Required string length:
1 - 128Show child attributes
Show child attributes
Required string length:
1 - 4000Response
Successful Response
Pattern:
^[0-9a-f]{64}$Required string length:
1 - 128Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Qualified server policy; no default here grants an allowance.
Show child attributes
Show child attributes
Pattern:
^(?!^[-+.]*$)[+-]?0*(?:\d{0,12}|(?=[\d.]{1,19}0*$)\d{0,12}\.\d{0,6}0*$)Available options:
available, admitted, expired Show child attributes
Show child attributes
Maximum array length:
100Show child attributes
Show child attributes
Was this page helpful?